package timingexp;

import java.rmi.*;
import java.rmi.server.*;
import rmi.*;	// Snowflaky RMI

/**
 * A remote object for reconfiguring the TestRMIServer between RMIExp
 * experiments.
 */
public class TestRMIReconfigure
	extends UnicastRemoteObject
	implements TestRMIReconfigureIfc {

	public TestRMIReconfigure()
		throws RemoteException {
	}

	public void setCacheNotVeryUseful(boolean state) {
		// System.out.println("server reconfig scnvu="+state);
		OneLineCacheRecipient.reconfigure(state);
	}
}
